.TH ENTRY_TYPES 1 "Nov 14 1994" "Stanford University" "SUIF Compiler"
.SH NAME
entry_types \- propagate parameter type info for Fortran entry points
.SH SYNOPSIS
.B entry_types
.I infile
.I outfile
{
.I infile
.I outfile
}*
.SH DESCRIPTION
The
.I entry_types
program propagates the original parameter array type information to
the dummy procedures produced by sf2c for entry points into
subroutines.  It must be run right after
.I fixfortran
if it will be necesary to have the correct type information in these
dummy procedures.  For intraprocedural analysis, it ususally does not
matter because the dummy procedures simply call the procedures
containing the body and pass parameters directly through, so there is
no place within the dummy procedure where the type information will
matter.  For interprocedural analysis, however, this information does
matter, so if any interprocedural passes are to be run, the
.I entry_types
pass should be run first.
.SH SEE ALSO
sf2c(1), fixfortran(1)
.SH HISTORY
This program was written by Chris Wilson.
